<?php
if ($this->HasAccess("read"))
{
  if (!$this->page)
  {
    if (function_exists("virtual")) header("HTTP/1.0 404 Not Found");

    $processed = false;

      if ($this->srvIsInstalled("CustomSite")) {
          $srvSite = $this->srvFactory("CustomSite"); /* @var $srvSite Service_CustomSite */
          if($srvSite->isPhpEventExists("page404")) {
              $srvSite->runPhpEvent("page404",[]);
              $processed = true;
          }
      }

      if(!$processed) {
          $res = str_replace("%1", $this->href("edit", "", "", 1), $this->GetResourceValue("DoesNotExists"));
          $res = str_replace("%2", $this->href("qedit", "", "", 1), $res);
          echo $res;
      }
	

  }
  else
  {
    // comment header?
    if($this->acontent) {
    if ($this->page["comment_on"])
    {
      print("<div class=\"commentinfo\">This is a comment on ".$this->ComposeLinkToPage($this->page["comment_on"], "", "", 0).", posted by ".($this->IsWikiName($this->page["user"])?$this->Link($this->page["user"]):$this->page["user"])." at ".$this->page["time"]."</div>");
    }

    if ($this->page["latest"] == "N")
    {
      print("<div class=\"revisioninfo\">".
        str_replace("%1",$this->href(),
          str_replace("%2",$this->GetPageTag(),
            str_replace("%3",$this->page["time"],
              $this->GetResourceValue("Revision")))).".</div>");
    }
    }
    //$this->Query("UPDATE ".$this->config["table_prefix"]."pages SET hits=hits+1 WHERE supertag='".quote($this->GetPageSuperTag())."'");

    $this->SetLanguage($this->pagelang);
    if (($this->page["body_r"] == "") ||
        (($this->page["body_toc"] == "") && $this->GetConfigValue("paragrafica")))
    {
      $this->page["body_r"] = $this->Format($this->page["body"], "wacko");
      if ($this->GetConfigValue("paragrafica"))
      {
        $this->page["body_r"]   = $this->Format($this->page["body_r"], "paragrafica");
        $this->page["body_toc"] = $this->body_toc;
      }
      // store to DB
      if ($this->page["latest"] != "N")
       $this->Query("update ".$this->config["table_prefix"]."pages set ".
         "body_r = '".quote($this->page["body_r"])."', ".
         "body_toc = '".quote($this->page["body_toc"])."' ".
         "where id = '".quote($this->page["id"])."' LIMIT 1");
    }

    // display page
    $data = $this->Format($this->page["body_r"], "post_wacko", array("bad"=>"good"));
    $data = $this->NumerateToc( $data ); //  numerate toc if needed
    if($this->acontent) { echo $data; }
    $this->SetLanguage($this->userlang);

    // if this is an old revision, display some buttons
    if ($this->HasAccess("write") && ($this->page["latest"] == "N"))
    {
      $latest = $this->LoadPage($this->tag);
      ?>
      <br />
      <?php echo $this->FormOpen("edit") ?>
      <input type="hidden" name="previous" value="<?php echo $latest["time"] ?>" />
      <input type="hidden" name="body" value="<?php echo htmlXspecialchars($this->page["body"]) ?>" />
      <input type="submit" value="<?php echo $this->GetResourceValue("ReEditOldRevision") ?>" />
      <?php echo $this->FormClose(); ?>

      <?php
      if($this->srvIsInstalled('SpawHtml')) {
      ?>
         <?php echo $this->FormOpen("qedit") ?>
         <input type="hidden" name="previous" value="<?php echo $latest["time"] ?>" />
         <input type="hidden" name="body" value="<?php echo htmlXspecialchars($this->page["body"]) ?>" />
         <input type="submit" value="<?php echo $this->GetResourceValue("ReEditOldRevision") ?> (visual)" />
         <?php echo $this->FormClose(); ?>
      <?php
      }

    }
	$this->srvAllRunFile('onshow');
  } // end page exists
} // end Access check
else
{
  if (function_exists("virtual")) header("HTTP/1.0 403 Forbidden");
  //print($this->GetResourceValue("ReadAccessDenied"));
    $processed = false;

    if ($this->srvIsInstalled("CustomSite")) {
        $srvSite = $this->srvFactory("CustomSite"); /* @var $srvSite Service_CustomSite */
        if($srvSite->isPhpEventExists("page403")) {
            $srvSite->runPhpEvent("page403",[]);
            $processed = true;
        }
    }

    if(!$processed) {
        print($this->GetResourceValue("ReadAccessDenied"));
    }
}



/*
if($this->IsAjax()) {
  global $_RESULT;
  foreach($this->atheme as $val) {
    $this->PhpElement($val);
  }
  die();
}
*/
?>
